/*
 Created 2019
 By jaydip Sarode
Fab Academy
*/

const int sensorPin = PA1;  //define a pin for analog input from soil moisture sensor
const int greenledPin = PA7; //define a pin for LED

void setup() 
{
   pinMode (sensorPin, INPUT); // Set sensorPin is input pin

 pinMode(greenledPin, OUTPUT); // Set greenledPin is output pin
   
}

// the loop routine runs over and over again forever:
void loop() 
{  
  int sensorValue = analogRead(sensorPin); // read the input on analog pin PA1 which connected to analog ouput of Soil moisture sensor 

/*
 Total analog step= 1024(i.e.0 - 1023) 
 and 768 is the 75% of 1024. 
 So, 1023-768= 255.
  When 75% water available in soil sensorValue is "255"
  When 50% water available in soil sensorValue is "511"
  When 25% water available in soil sensorValue is "768"
  When 0% water available in soil sensorValue is "1023"
 */
 
 if (sensorValue<255)    //If water available in soil is more than 75% 
     {
       digitalWrite(greenledPin, HIGH);  //Green led will be turn ON, when 75% water avialble in the soil. 
      }
  else
    {
     digitalWrite(greenledPin, LOW);  //Green led will be turn OFF, when water below the 75% in soil. 
     }
  delay(1000);        // 1 second delay in between reads for stability
}
